import { FormGroup } from '@angular/forms';
import { Store } from '@ngrx/store';
import { StoreFormsConfig } from './model';
export declare class BindingService {
    private config;
    private store;
    private bindings;
    constructor(config: StoreFormsConfig, store: Store<any>);
    bind(path: string, formGroup: FormGroup): void;
    private getErrors(path, formGroup);
    unbind(path: string): void;
    updateFormGroup(path: string, value: {
        [k: string]: string;
    }): void;
}
