import { ActionReducer } from '@ngrx/store';
import { Action } from '@ngrx/store';
import { FormGroupState } from './model';
export declare class UpdateStoreFormStateAction implements Action {
    readonly path: string;
    readonly formState: FormGroupState;
    readonly type: string;
    constructor(path: string, formState: FormGroupState);
}
export declare class UpdateStoreFormAction implements Action {
    readonly path: string;
    readonly value: {
        [k: string]: string;
    };
    readonly type: string;
    constructor(path: string, value: {
        [k: string]: string;
    });
}
export declare class StoreFormsNoopAction implements Action {
    readonly type: string;
}
export declare function storeFormsReducer(state: any, action: UpdateStoreFormStateAction): any;
export declare function storeFormsMetaReducer(reducer: ActionReducer<any>): ActionReducer<any>;
